Bug 228206 - x11-fonts/fantasque-sans-mono: Add options to install variants
Summary: x11-fonts/fantasque-sans-mono: Add options to install variants
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-12 22:54 UTC by Jonathan Chen
Modified: 2018-05-14 20:27 UTC (History)
0 users

See Also:
rakuco: maintainer-feedback+


Attachments
Variant options (2.37 KB, patch)
2018-05-12 22:54 UTC, Jonathan Chen
no flags Details | Diff
Variant support (2.22 KB, patch)
2018-05-13 19:49 UTC, Jonathan Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Chen 2018-05-12 22:54:53 UTC
Created attachment 193343 [details]
Variant options

Fantasque Sans Mono distribution site has variants aside from the standard version. The supplied patches adds options to allow installation of those variants.
Comment 1 Raphael Kubo da Costa freebsd_committer 2018-05-13 10:22:26 UTC
Thanks for the patch. You can simplify the Makefile by using OPTIONs helpers: instead of including bsd.port.options.mk, you can do something like

    NORMAL_EXTRACT_ONLY=    foo.tar.gz
Comment 2 Jonathan Chen 2018-05-13 19:49:29 UTC
Created attachment 193367 [details]
Variant support

Simplified the patch with OPTION helpers.
Comment 3 commit-hook freebsd_committer 2018-05-14 10:25:00 UTC
A commit references this bug:

Author: rakuco
Date: Mon May 14 10:24:24 UTC 2018
New revision: 469874
URL: https://svnweb.freebsd.org/changeset/ports/469874

Log:
  Add options to install variants.

  Fantasque Sans Mono distribution site has variants aside from the standard
  version. Add options to allow installing those variants.

  PR:		228206
  Submitted by:	Jonathan Chen <jonc@chen.org.nz>

Changes:
  head/x11-fonts/fantasque-sans-mono/Makefile
  head/x11-fonts/fantasque-sans-mono/distinfo
Comment 4 Raphael Kubo da Costa freebsd_committer 2018-05-14 10:25:48 UTC
Committed, thanks. I also bumped PORTREVISION since the port's options have changed (sorry I forgot to mention this before).
Comment 5 commit-hook freebsd_committer 2018-05-14 20:27:23 UTC
A commit references this bug:

Author: rakuco
Date: Mon May 14 20:26:49 UTC 2018
New revision: 469962
URL: https://svnweb.freebsd.org/changeset/ports/469962

Log:
  Set DISTFILES as OPTIONs helpers.

  This allows one to only download the tarball corresponding to the chosen
  VARIANT option, at the expense of making `make makesum' more cumbersome to
  run (so add a comment to remind me of how to do it).

  PR:		228206
  Submitted by:	tobik

Changes:
  head/x11-fonts/fantasque-sans-mono/Makefile